Package twisted :: Package internet :: Module wxsupport |
[frames | no frames]

## Module twisted.internet.wxsupport

wxPython support for Twisted.

To use:

       | # given a wxApp instance called myWxAppInstance:
       | from twisted.internet import wxsupport
       | wxsupport.install(myWxAppInstance)

Use Twisted's APIs for running and stopping the event loop, don't use wxPython's methods.

On Windows the Twisted event loop might block when dialogs are open or menus are selected.

API Stability: stable

Maintainer: Itamar Shtull-Trauring

Classes
`wxRunner` | Make sure GUI events are handled.

Function Summary
| ``install`(app)` Install the wxPython support, given a wxApp instance

Function Details

### install(app) Install the wxPython support, given a wxApp instance

Generated by Epydoc 2.0 on Sat Oct 25 00:55:13 2003 | http://epydoc.sf.net